aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2015-02-28 12:39:16 -0600
committerRob Landley <rob@landley.net>2015-02-28 12:39:16 -0600
commit57f93c8badf944b5b3ed712e2887b3db33147efb (patch)
treed601b7eb3c04c032cd819f8fc682bc356a6223dc /scripts
parentab5cbfcb8bdbf8802d793520ec7b81c5eb392b5f (diff)
downloadtoybox-57f93c8badf944b5b3ed712e2887b3db33147efb.tar.gz
Add LDFLAGS and STRIP=no support.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/make.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 207a0827..9e4b83e9 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -102,7 +102,7 @@ fi
# LINK needs optlibs.dat, above
-LINK="$(echo $LDOPTIMIZE -o toybox_unstripped -Wl,--as-needed $(cat generated/optlibs.dat))"
+LINK="$(echo $LDOPTIMIZE $LDFLAGS -o toybox_unstripped -Wl,--as-needed $(cat generated/optlibs.dat))"
genbuildsh > generated/build.sh && chmod +x generated/build.sh || exit 1
echo "Make generated/config.h from $KCONFIG_CONFIG."
@@ -268,7 +268,12 @@ done
[ $DONE -ne 0 ] && exit 1
do_loudly $BUILD $LFILES $LINK || exit 1
-do_loudly ${CROSS_COMPILE}${STRIP} toybox_unstripped -o toybox || exit 1
+if [ "$STRIP" == no ]
+then
+ mv toybox_unstripped toybox
+else
+ do_loudly ${CROSS_COMPILE}${STRIP} toybox_unstripped -o toybox || exit 1
+fi
# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
# its output the way SUSv4 suggests it do so.
do_loudly chmod +x toybox || exit 1